application/json

Body Required

  • client_id string Required
  • client_secret string Required
  • audience string Required
  • grant_type string Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • access_token string
    • expires_at integer
    • token_type string
    • scope string
  • 401 application/json

    Unauthorized

POST /oauth/token
curl \
 --request POST 'https://api.staging.deliverect.com/oauth/token' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"audience":"https://api.deliverect.com","client_id":"{{clientId}}","grant_type":"client_credentials","client_secret":"{{clientSecret}}"}'
Request example
{
  "audience": "https://api.deliverect.com",
  "client_id": "{{clientId}}",
  "grant_type": "client_credentials",
  "client_secret": "{{clientSecret}}"
}
Response examples (200)
{
  "scope": "genericPOS provisioning",
  "expires_at": 1620899002,
  "token_type": "Bearer",
  "access_token": "ey**-**-Q"
}
Response examples (401)
{
  "error": "access_denied",
  "error_description": "Unauthorized"
}